Index: calculatorview/perspectives/calculator/aperture_editor.py
===================================================================
--- calculatorview/perspectives/calculator/aperture_editor.py	(revision ad6f597281ffdc10ba61293ef7a8566da1421213)
+++ calculatorview/perspectives/calculator/aperture_editor.py	(revision 6137b1500635c6fedd6d779d3ae59748933c5e73)
@@ -21,5 +21,5 @@
     def __init__(self, parent=None, manager=None,aperture=None, *args, **kwds):
         """
-            Dialog allows to enter values for aperture
+        Dialog allows to enter values for aperture
         """
         kwds['size'] =(PANEL_WIDTH, PANEL_HEIGHT)
@@ -37,5 +37,5 @@
     def _define_structure(self):
         """
-            define initial sizer 
+        define initial sizer 
         """
         self.main_sizer = wx.BoxSizer(wx.VERTICAL)
@@ -52,5 +52,5 @@
     def _layout_name(self):
         """
-            Do the layout for aperture name related widgets
+        Do the layout for aperture name related widgets
         """
         #Aperture name [string]
@@ -61,5 +61,5 @@
     def _layout_type(self):
         """
-            Do the  layout for aperture type  related widgets
+        Do the  layout for aperture type  related widgets
         """
         #Aperture type [string]
@@ -71,5 +71,5 @@
     def _layout_distance(self):
         """
-            Do the  layout for aperture distance related widgets
+        Do the  layout for aperture distance related widgets
         """
         #Aperture distance [float]
@@ -84,5 +84,5 @@
     def _layout_size_name(self):
         """
-            Do the  layout for size name related widgets
+        Do the  layout for size name related widgets
         """
         # Size name [string]
@@ -94,5 +94,5 @@
     def _layout_size(self):
         """
-            Do the  layout for aperture size related widgets
+        Do the  layout for aperture size related widgets
         """
         #Aperture size [Vector]
@@ -118,5 +118,5 @@
     def _layout_button(self):  
         """
-            Do the layout for the button widgets
+        Do the layout for the button widgets
         """ 
         self.bt_apply = wx.Button(self, -1,'Apply')
@@ -134,5 +134,5 @@
     def _do_layout(self, data=None):
         """
-            Draw the current panel
+        Draw the current panel
         """
         self._define_structure()
@@ -161,5 +161,5 @@
     def set_manager(self, manager):
         """    
-            Set manager of this window
+        Set manager of this window
         """
         self.manager = manager
@@ -167,5 +167,5 @@
     def reset_aperture(self):
         """
-            put the default value of the detector back to the current aperture
+        put the default value of the detector back to the current aperture
         """
         self._aperture.name = self._reset_aperture.name
@@ -181,6 +181,6 @@
     def set_values(self):
         """
-            take the aperture values of the current data and display them
-            through the panel
+        take the aperture values of the current data and display them
+        through the panel
         """
         aperture = self._aperture
@@ -204,5 +204,5 @@
     def get_aperture(self):
         """
-            return the current aperture
+        return the current aperture
         """
         return self._aperture
@@ -210,5 +210,5 @@
     def get_notes(self):
         """
-            return notes
+        return notes
         """
         return self._notes
@@ -216,5 +216,5 @@
     def on_change_name(self):
         """
-            Change name
+        Change name
         """
         #Change the name of the aperture
@@ -229,5 +229,5 @@
     def on_change_type(self):
         """
-            Change aperture type
+        Change aperture type
         """
         #Change type 
@@ -239,5 +239,5 @@
     def on_change_distance(self):
         """
-            Change distance of the aperture
+        Change distance of the aperture
         """
         #Change distance
@@ -264,5 +264,5 @@
     def on_change_size_name(self):
         """
-            Change the size's name
+        Change the size's name
         """
         #Change size name
@@ -274,5 +274,5 @@
     def on_change_size(self):
         """
-            Change aperture size
+        Change aperture size
         """
         #Change x coordinate
@@ -330,5 +330,5 @@
     def on_click_apply(self, event):
         """
-            Apply user values to the aperture
+        Apply user values to the aperture
         """
         self.on_change_name()
@@ -343,5 +343,5 @@
     def on_click_cancel(self, event):
         """
-            reset the current aperture to its initial values
+        reset the current aperture to its initial values
         """
         self.reset_aperture()
Index: calculatorview/perspectives/calculator/calculator.py
===================================================================
--- calculatorview/perspectives/calculator/calculator.py	(revision 91f151aa297ca6be7a92ce3c4ba7905d318441cf)
+++ calculatorview/perspectives/calculator/calculator.py	(revision 6137b1500635c6fedd6d779d3ae59748933c5e73)
@@ -1,11 +1,12 @@
-"""
-This software was developed by the University of Tennessee as part of the
-Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-project funded by the US National Science Foundation. 
 
-See the license text in license.txt
-
-copyright 2010, University of Tennessee
-"""
+################################################################################
+#This software was developed by the University of Tennessee as part of the
+#Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
+#project funded by the US National Science Foundation. 
+#
+#See the license text in license.txt
+#
+#copyright 2010, University of Tennessee
+################################################################################
 
 import wx
@@ -14,11 +15,11 @@
 class Plugin:
     """
-        This class defines the interface for a Plugin class
-        for calculator perspective
+    This class defines the interface for a Plugin class
+    for calculator perspective
     """
     
     def __init__(self, standalone=True):
         """
-            Abstract class for gui_manager Plugins.
+        Abstract class for gui_manager Plugins.
         """
         ## Plug-in name. It will appear on the application menu.
@@ -36,10 +37,12 @@
     def populate_menu(self, id, owner):
         """
-            Create and return the list of application menu
-            items for the plug-in. 
-            
-            @param id: deprecated. Un-used.
-            @param parent: parent window
-            @return: plug-in menu
+        Create and return the list of application menu
+        items for the plug-in. 
+        
+        :param id: deprecated. Un-used.
+        :param parent: parent window
+        
+        :return: plug-in menu
+        
         """
         return []
@@ -47,13 +50,15 @@
     def get_panels(self, parent):
         """
-            Create and return the list of wx.Panels for your plug-in.
-            Define the plug-in perspective.
-            
-            Panels should inherit from DefaultPanel defined below,
-            or should present the same interface. They must define
-            "window_caption" and "window_name".
-            
-            @param parent: parent window
-            @return: list of panels
+        Create and return the list of wx.Panels for your plug-in.
+        Define the plug-in perspective.
+        
+        Panels should inherit from DefaultPanel defined below,
+        or should present the same interface. They must define
+        "window_caption" and "window_name".
+        
+        :param parent: parent window
+        
+        :return: list of panels
+        
         """
         ## Save a reference to the parent
@@ -65,6 +70,7 @@
     def help(self, evt):
         """
-            Show a general help dialog. 
-            TODO: replace the text with a nice image
+        Show a general help dialog. 
+        
+        :TODO: replace the text with a nice image
             provide more hint on the SLD calculator
         """
@@ -75,18 +81,18 @@
     def get_context_menu(self, graph=None):
         """
-            This method is optional.
+        This method is optional.
+    
+        When the context menu of a plot is rendered, the 
+        get_context_menu method will be called to give you a 
+        chance to add a menu item to the context menu.
         
-            When the context menu of a plot is rendered, the 
-            get_context_menu method will be called to give you a 
-            chance to add a menu item to the context menu.
-            
-            A ref to a Graph object is passed so that you can
-            investigate the plot content and decide whether you
-            need to add items to the context menu.  
-            
-            This method returns a list of menu items.
-            Each item is itself a list defining the text to 
-            appear in the menu, a tool-tip help text, and a
-            call-back method.
+        A ref to a Graph object is passed so that you can
+        investigate the plot content and decide whether you
+        need to add items to the context menu.  
+        
+        This method returns a list of menu items.
+        Each item is itself a list defining the text to 
+        appear in the menu, a tool-tip help text, and a
+        call-back method.
             
             @param graph: the Graph object to which we attach the context menu
@@ -97,5 +103,5 @@
     def get_perspective(self):
         """
-            Get the list of panel names for this perspective
+        Get the list of panel names for this perspective
         """
         return self.perspective
@@ -104,5 +110,5 @@
     def get_tools(self):
         """
-            Returns a set of menu entries for tools
+        Returns a set of menu entries for tools
         """
         sld_help = "Provides computation related to Scattering Length Density"
@@ -111,11 +117,10 @@
         return [("SLD Calculator", sld_help, self.on_calculate_sld),
                 ("Slit Size Calculator", slit_length_help,
-                                self.on_calculate_slit_size),
-                ("Data Editor", data_editor_help,
-                     self.on_edit_data)]
+                                self.on_calculate_slit_size)]#,
+                #("Data Editor", data_editor_help, self.on_edit_data)]
               
     def on_edit_data(self, event):
         """
-            Edit meta data 
+        Edit meta data 
         """
         from data_editor import DataEditorWindow
@@ -125,5 +130,5 @@
     def on_calculate_sld(self, event):
         """
-            Compute the scattering length density of molecula
+        Compute the scattering length density of molecula
         """
         from sld_panel import SldWindow
@@ -133,5 +138,5 @@
     def on_calculate_slit_size(self, event):
         """
-            Compute the slit size a given data
+        Compute the slit size a given data
         """
         from slit_length_calculator_panel import SlitLengthCalculatorWindow
@@ -141,8 +146,10 @@
     def on_perspective(self, event):
         """
-            Call back function for the perspective menu item.
-            We notify the parent window that the perspective
-            has changed.
-            @param event: menu event
+        Call back function for the perspective menu item.
+        We notify the parent window that the perspective
+        has changed.
+        
+        :param event: menu event
+        
         """
         self.parent.set_perspective(self.perspective)
@@ -151,5 +158,5 @@
     def post_init(self):
         """
-            Post initialization call back to close the loose ends
+        Post initialization call back to close the loose ends
         """
         pass
Index: calculatorview/perspectives/calculator/collimation_editor.py
===================================================================
--- calculatorview/perspectives/calculator/collimation_editor.py	(revision c5dca876b23923d1c26b4f53976aeb2c1461d888)
+++ calculatorview/perspectives/calculator/collimation_editor.py	(revision 6137b1500635c6fedd6d779d3ae59748933c5e73)
@@ -22,4 +22,6 @@
     
 class CollimationDialog(wx.Dialog):
+    """
+    """
     def __init__(self, parent=None, manager=None,
                  collimation=[], *args, **kwds):
@@ -40,5 +42,5 @@
     def _define_structure(self):
         """
-            define initial sizer 
+        define initial sizer 
         """
         self.main_sizer = wx.BoxSizer(wx.VERTICAL)
@@ -63,5 +65,5 @@
     def _layout_collimation(self):
         """
-            Do the layout for collimation related widgets
+        Do the layout for collimation related widgets
         """
         collimation_name_txt = wx.StaticText(self, -1, "Collimation:") 
@@ -97,5 +99,5 @@
     def _layout_name(self):
         """
-            Do the layout for collimation name related widgets
+        Do the layout for collimation name related widgets
         """
         #Collimation name [string]
@@ -107,5 +109,5 @@
     def _layout_length(self):
         """
-            Do the  layout for length related widgets
+        Do the  layout for length related widgets
         """
         #Collimation length
@@ -121,5 +123,5 @@
     def _layout_button(self):  
         """
-            Do the layout for the button widgets
+        Do the layout for the button widgets
         """ 
         self.bt_apply = wx.Button(self, -1,'Apply')
@@ -136,5 +138,5 @@
     def _layout_aperture(self):
         """
-            Do the layout for aperture related widgets
+        Do the layout for aperture related widgets
         """
         aperture_name_txt = wx.StaticText(self, -1, "Aperture:") 
@@ -170,5 +172,5 @@
     def _do_layout(self, data=None):
         """
-            Draw the current panel
+        Draw the current panel
         """
         self._define_structure()
@@ -206,5 +208,5 @@
     def fill_collimation_combox(self):
         """
-            fill the current combobox with the available collimation
+        fill the current combobox with the available collimation
         """
         if self._collimation is None or self._collimation == []:
@@ -218,5 +220,5 @@
     def add_collimation(self, event):
         """
-            Append empty collimation to data's list of collimation
+        Append empty collimation to data's list of collimation
         """
         
@@ -236,5 +238,5 @@
     def remove_collimation(self, event):
         """
-            Remove collimation to data's list of collimation
+        Remove collimation to data's list of collimation
         """
         if self.collimation_cbox.IsEnabled():
@@ -263,5 +265,5 @@
     def on_select_collimation(self, event):
         """
-           fill the control on the panel according to the current  selected collimation 
+        fill the control on the panel according to the current  selected collimation 
         """
         self.set_values()
@@ -271,5 +273,5 @@
     def enable_collimation(self):
         """
-            Enable /disable widgets related to collimation
+        Enable /disable widgets related to collimation
         """
         if self._collimation is not None and self.collimation_cbox.GetCount() > 0:
@@ -291,5 +293,5 @@
     def reset_collimation_combobox(self, edited_collimation):
         """
-            take all edited editor and reset clientdata of collimation combo box
+        take all edited editor and reset clientdata of collimation combo box
         """
         for position in range(self.collimation_cbox.GetCount()):
@@ -303,5 +305,5 @@
     def add_aperture(self, event):
         """
-            Append empty aperture to data's list of aperture
+        Append empty aperture to data's list of aperture
         """
         collimation, _, _ = self.get_current_collimation()
@@ -317,5 +319,5 @@
     def edit_aperture(self, event):
         """
-            Edit the selected aperture
+        Edit the selected aperture
         """
         if self._collimation is None or not self.aperture_cbox.IsEnabled():
@@ -331,5 +333,5 @@
     def remove_aperture(self, event):
         """
-            Remove aperture to data's list of aperture
+        Remove aperture to data's list of aperture
         """
         if self._collimation is None or not self._collimation:
@@ -354,5 +356,5 @@
     def set_aperture(self, aperture):
         """
-            set aperture for data
+        set aperture for data
         """
         if self._collimation is None or not self._collimation:
@@ -368,5 +370,5 @@
     def enable_aperture(self):
         """
-            Enable /disable widgets crelated to aperture
+        Enable /disable widgets crelated to aperture
         """
         collimation, _, _ = self.get_current_collimation()
@@ -390,5 +392,5 @@
     def reset_aperture_combobox(self, edited_aperture):
         """
-            take all edited editor and reset clientdata of aperture combo box
+        take all edited editor and reset clientdata of aperture combo box
         """
         for position in range(self.aperture_cbox.GetCount()):
@@ -402,5 +404,5 @@
     def fill_aperture_combox(self):
         """
-            fill the current combobox with the available aperture
+        fill the current combobox with the available aperture
         """
         self.aperture_cbox.Clear()
@@ -416,5 +418,5 @@
     def set_manager(self, manager):
         """    
-            Set manager of this window
+        Set manager of this window
         """
         self.manager = manager
@@ -422,6 +424,6 @@
     def set_values(self):
         """
-            take the collimation values of the current data and display them
-            through the panel
+        take the collimation values of the current data and display them
+        through the panel
         """
         collimation, _, _ = self.get_current_collimation()
@@ -441,5 +443,5 @@
     def get_collimation(self):
         """
-            return the current collimation
+        return the current collimation
         """
         return self._collimation
@@ -447,5 +449,5 @@
     def get_notes(self):
         """
-            return notes
+        return notes
         """
         return self._notes
@@ -453,5 +455,5 @@
     def on_change_name(self):
         """
-            Change name
+        Change name
         """
         collimation, collimation_name, position = self.get_current_collimation()
@@ -472,5 +474,5 @@
     def on_change_length(self):
         """
-            Change the length
+        Change the length
         """
         collimation, collimation_name, position = self.get_current_collimation()
@@ -501,5 +503,5 @@
     def on_click_apply(self, event):
         """
-            Apply user values to the collimation
+        Apply user values to the collimation
         """
         self.on_change_name()
@@ -511,5 +513,5 @@
     def on_click_cancel(self, event):
         """
-            leave the collimation as it is and close
+        leave the collimation as it is and close
         """
         self._collimation = deepcopy(self._reset_collimation)
